// JavaScript Document
//关于搜索提示
var search_text="搜索其实很简单 (^.^)";
var h = ''; 
var g = '';
function searchFocus(e){
	if(e.value==search_text)
		{
			e.value='';
			}
	}
function searchBlur(e){
	if(e.value=='')
		{
			e.value=search_text;
			}
	}
function searchCheck_face()
{
	if(document.face_search.searchword.value==search_text)
	{
		alert('请输入搜索关键字！');
		return false;
		}		
	}

//首页调用
	function sapLoadMsg(t){
	 g = t + h;
     document.getElementById("pw").innerHTML = g;
	 h = g;
	 }
	 
//复制文件信息到剪贴板

function copyToClipboard(fileid) {  
	var txt= document.getElementById(fileid).value;
     if(window.clipboardData) {   
             window.clipboardData.clearData();   
             window.clipboardData.setData("Text", txt);   
     } else if(navigator.userAgent.indexOf("Opera") != -1) {   
          window.location = txt;   
     } else if (window.netscape) {   
          try {   
               netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");   
          } catch (e) {   
               alert("被浏览器拒绝！\n请在浏览器地址栏输入'about:config'并回车\n然后将'signed.applets.codebase_principal_support'设置为'true'");   
          }   
          var clip = Components.classes['@mozilla.org/widget/clipboard;1'].createInstance(Components.interfaces.nsIClipboard);   
          if (!clip)   
               return;   
          var trans = Components.classes['@mozilla.org/widget/transferable;1'].createInstance(Components.interfaces.nsITransferable);   
          if (!trans)   
               return;   
          trans.addDataFlavor('text/unicode');   
          var str = new Object();   
          var len = new Object();   
          var str = Components.classes["@mozilla.org/supports-string;1"].createInstance(Components.interfaces.nsISupportsString);   
          var copytext = txt;   
          str.data = copytext;   
          trans.setTransferData("text/unicode",str,copytext.length*2);   
          var clipid = Components.interfaces.nsIClipboard;   
          if (!clip)   
               return false;   
          clip.setData(trans,null,clipid.kGlobalClipboard);   
          alert("复制文件信息成功！")   
     }   
}  


function closepw_box(fileid){
	document.getElementById(fileid).style.display='none';
	
	}